@ECHO OFF

cls
echo         ͻ
echo                   ECCO THE DOLPHIN PC - LEVEL CHOICE MENU           
echo         ͼ
echo ͻ
echo  Choose one of the following four savegames to select its levels in ECCO PC! 
echo   (Always remember: Your original will be deleted if you don't make a copy!) 
echo ͹
echo   A. Level 01 - 10      B. Level 11 - 20     C. Level 21 - 30    D. Level 
echo                                             LA CIUDAD SUMERGIDA  31 - 33  
echo      BAHIA HOGAR         OCEANO ABIERTO        CIUDAD ETERNA              
echo     BAHIA MEDUSA        ZONA DE LA ISLA       PLAYA JURASICA     EL TUBO  
echo  CAVERNAS INFERIORES    AGUAS PROFUNDAS     ESTANQUE PTERANODON           
echo     LAS ABERTURAS      ESCOLLO VOLCANICO    LA PLAYA DEL ORIGEN     LA    
echo       LA LAGUNA       MAR DEL CEMENTERIO-     EL CIRCULO DE-     MAQUINA  
echo    AGUA DE CRESTA          -DE BARCOS           -TRILOBITES       VORTEX  
echo    OCEANO ABIERTO     TRAMPA DEL NAUFRAGIO     AGUAS OSCURAS              
echo     ZONA DE HIELO     EL MAR DEL SILENCIO     AGUAS PROFUNDAS     REINA   
echo       AGUA DURA          VERJA PROFUNDA        CIUDAD ETERNA      VORTEX  
echo       AGUA FRIA         EL MAR DE MARMOL    RETORNO A LA BAHIA-           
echo                          LA BIBLIOTECA            -HOGAR                  
echo ͹
echo                      X. EXIT without changing anything!                      
echo ͼ
echo                                                        2000, by Hauke Petersen

choice /c:ABCDX Which savegame do you want

if errorlevel 5 goto Ende1
if errorlevel 4 goto SaveD
if errorlevel 3 goto SaveC
if errorlevel 2 goto SaveB
if errorlevel 1 goto SaveA

:SaveA
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev01-10\dol32nt.stg
goto Ende2

:SaveB
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev11-20\dol32nt.stg
goto Ende2

:SaveC
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev21-30\dol32nt.stg
goto Ende2

:SaveD
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev31-33\dol32nt.stg
goto Ende2

:Ende1
cls
echo.
echo         ͻ
echo                   ECCO THE DOLPHIN PC - LEVEL CHOICE MENU           
echo         ͼ
echo.
echo ͻ
echo     You have decided to exit this program without changing your savedata!    
echo                           Have fun playing ECCO PC!                          
echo ͼ
echo.
echo ͻ
echo                         You can close this window now!                       
echo ͼ
echo                                                        2000, by Hauke Petersen

exit

:Ende2
cls
echo.
echo         ͻ
echo                   ECCO THE DOLPHIN PC - LEVEL CHOICE MENU           
echo         ͼ
echo.
echo ͻ
echo      You can play now the levels contained within your selected savegame!    
echo                           Have fun playing ECCO PC!                          
echo ͼ
echo.
echo ͻ
echo                         You can close this window now!                       
echo ͼ
echo                                                        2000, by Hauke Petersen

exit