@ECHO OFF

cls
echo.
echo         ͻ
echo                   ECCO THE DOLPHIN PC - LEVEL CHOICE MENU           
echo         ͼ
echo.
echo ͻ
echo  Choose one of the following four savegames to select its levels in ECCO PC! 
echo   (Always remember: Your original will be deleted if you don't make a copy!) 
echo ͹
echo  A. Level 01 - 10   B. Level 11 - 20    C. Level 21 - 30      D. Level    
echo      HOME BAY          OPEN OCEAN          DEEP CITY          31 - 33     
echo     MEDUSA BAY        ISLAND ZONE       CITY OF FOREVER                   
echo     UNDERCAVES         DEEP WATER        JURASSIC BEACH       THE TUBE    
echo     THE VENTS        VOLCANIC REEF      PTERANODON POND                   
echo     THE LAGOON       SHIP GRAVE SEA       ORIGIN BEACH       THE VORTEX   
echo    RIDGE WATER         WRECK TRAP       TRILOBITE CIRCLE      MACHINE     
echo     OPEN OCEAN     THE SEA OF SILENCE      DARK WATER                     
echo      ICE ZONE          DEEP GATE           DEEP WATER          VORTEX     
echo     HARD WATER       THE MARBLE SEA     CITY OF FOREVER        QUEEN      
echo     COLD WATER        THE LIBRARY      RETURN TO HOME BAY                 
echo ͹
echo                      X. EXIT without changing anything!                      
echo ͼ
echo                                                        2000, by Hauke Petersen

choice /c:ABCDX Which savegame do you want

if errorlevel 5 goto Ende1
if errorlevel 4 goto SaveD
if errorlevel 3 goto SaveC
if errorlevel 2 goto SaveB
if errorlevel 1 goto SaveA

:SaveA
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev01-10\dol32nt.stg
goto Ende2

:SaveB
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev11-20\dol32nt.stg
goto Ende2

:SaveC
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev21-30\dol32nt.stg
goto Ende2

:SaveD
if exist dol32nt.stg del dol32nt.stg
copy savegame\lev31-33\dol32nt.stg
goto Ende2

:Ende1
cls
echo.
echo         ͻ
echo                   ECCO THE DOLPHIN PC - LEVEL CHOICE MENU           
echo         ͼ
echo.
echo ͻ
echo     You have decided to exit this program without changing your savedata!    
echo                           Have fun playing ECCO PC!                          
echo ͼ
echo.
echo ͻ
echo                         You can close this window now!                       
echo ͼ
echo                                                        2000, by Hauke Petersen

exit

:Ende2
cls
echo.
echo         ͻ
echo                   ECCO THE DOLPHIN PC - LEVEL CHOICE MENU           
echo         ͼ
echo.
echo ͻ
echo      You can play now the levels contained within your selected savegame!    
echo                           Have fun playing ECCO PC!                          
echo ͼ
echo.
echo ͻ
echo                         You can close this window now!                       
echo ͼ
echo                                                        2000, by Hauke Petersen

exit